doctest-0.22.6: Test interactive Haskell examples

Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.DocTest.Internal.Extract

Synopsis

- data Module a = Module {
  - moduleName :: String
  - moduleSetup :: Maybe a
  - moduleContent :: [a]
  }
- extract :: [String] -> IO [Module (Located String)]

# Documentation

data Module a Source #

Documentation for a module grouped together with the modules name.

Constructors

Module |

Fields

- moduleName :: String
- moduleSetup :: Maybe a
- moduleContent :: [a]

#### Instances

Instances details

Functor Module Source # |
Instance details Defined in Extract Methods fmap :: (a -> b) -> Module a -> Module b Source # (<$) :: a -> Module b -> Module a Source #
Show a => Show (Module a) Source # |
Instance details Defined in Extract Methods showsPrec :: Int -> Module a -> ShowS Source # show :: Module a -> String Source # showList :: [Module a] -> ShowS Source #
NFData a => NFData (Module a) Source # |
Instance details Defined in Extract Methods rnf :: Module a -> () Source #
Eq a => Eq (Module a) Source # |
Instance details Defined in Extract Methods (==) :: Module a -> Module a -> Bool Source # (/=) :: Module a -> Module a -> Bool Source #

extract :: [String] -> IO [Module (Located String)] Source #

Extract all docstrings from given list of files/modules.

This includes the docstrings of all local modules that are imported from those modules (possibly indirect).